Ubuntu

[NEW] Sync qgis 1.4.0+12730-3 (universe) from Debian testing (main)

Reported by hamish on 2010-03-18
38
This bug affects 6 people
Affects Status Importance Assigned to Milestone
qgis (Ubuntu)
Wishlist
Unassigned

Bug Description

Hi there.

 -- I know it is rather late in the freeze and if it is too late or not practical for Lucid I won't be offended.

After a long absence the "qgis" source package has returned to debian and has recently entered debian/testing.

It would be great if this could make it into Lucid as well. It last made it into Ubuntu during Dapper.

http://packages.qa.debian.org/q/qgis.html
http://packages.ubuntu.com/qgis

cheers,
Hamish
   /
DebianGIS team (& occasional UbuntuGIS team supporter)

Related branches

Lorenzo De Liso (blackz) on 2010-03-18
affects: ubuntu → qgis (Ubuntu)
summary: - Please sync qgis from debian unstable
+ [NEW] Sync qgis 1.4.0+12730-3 (universe) from Debian testing (main)
tags: added: sync
Changed in qgis (Ubuntu):
assignee: nobody → Stefano Rivera (stefanor)
status: New → In Progress
Stefano Rivera (stefanor) wrote :

Can anyone get it to build?

[ 4%] Building CXX object src/core/CMakeFiles/qgis_core.dir/qgshttptransaction.cpp.o
/tmp/buildd/qgis-1.4.0+12730/src/core/qgshttptransaction.cpp: In constructor 'QgsHttpTransaction::QgsHttpTransaction(QString, QString, int, QString, QString, QNetworkProxy::ProxyT
ype, QString, QString)':
/tmp/buildd/qgis-1.4.0+12730/src/core/qgshttptransaction.cpp:51: error: call of overloaded 'QString(int)' is ambiguous
/usr/include/qt4/QtCore/qstring.h:428: note: candidates are: QString::QString(const QByteArray&)
/usr/include/qt4/QtCore/qstring.h:426: note: QString::QString(const char*)
/usr/include/qt4/QtCore/qstring.h:727: note: QString::QString(const QString&)
/usr/include/qt4/QtCore/qstring.h:106: note: QString::QString(QChar)
/usr/include/qt4/QtCore/qstring.h:105: note: QString::QString(const QChar*)
/tmp/buildd/qgis-1.4.0+12730/src/core/qgshttptransaction.cpp:51: error: call of overloaded 'QString(int)' is ambiguous
/usr/include/qt4/QtCore/qstring.h:428: note: candidates are: QString::QString(const QByteArray&)
/usr/include/qt4/QtCore/qstring.h:426: note: QString::QString(const char*)
/usr/include/qt4/QtCore/qstring.h:727: note: QString::QString(const QString&)
/usr/include/qt4/QtCore/qstring.h:106: note: QString::QString(QChar)
/usr/include/qt4/QtCore/qstring.h:105: note: QString::QString(const QChar*)

Changed in qgis (Ubuntu):
assignee: Stefano Rivera (stefanor) → nobody
status: In Progress → Incomplete
Johan Van de Wauw (johanvdw) wrote :

To make sure nobody is doing double work: I'm having a look into this.

Changed in qgis (Ubuntu):
assignee: nobody → Johan Van de Wauw (johanvdw)
status: Incomplete → In Progress
importance: Undecided → Wishlist
hamish (hamish-b) wrote :

I have sent a note to the UbuntuGIS list, which offer this package in their ppa.launchpad repo.
 https://wiki.ubuntu.com/UbuntuGIS

maybe someone there can contribute some advice.

I don't think it is relevant, but fyi I've recently got the 1.5dev-svn version of qgis to build on Debian/Lenny, some notes here: http://trac.osgeo.org/qgis/ticket/2411

thanks,
Hamish

Jürgen E. Fischer (jef-norbit) wrote :

Just remove the offending line:

--- qgis-1.4.0.orig/src/core/qgshttptransaction.cpp
+++ qgis-1.4.0/src/core/qgshttptransaction.cpp
@@ -47,8 +47,7 @@
                                         QString password )
     : httpresponsecontenttype( 0 ),
     httpurl( uri ),
- httphost( proxyHost ),
- mError( 0 )
+ httphost( proxyHost )
 {
   QSettings s;
   mNetworkTimeoutMsec = s.value( "/qgis/networkAndProxy/networkTimeout", "20000" ).toInt();

Johan Van de Wauw (johanvdw) wrote :

There are much more changes needed than just that line. Apart from that a better fix would be mError("") than just removing the line.

Stefano Rivera (stefanor) wrote :

That's not the offending line, I'm afraid:

[ 4%] Building CXX object src/core/CMakeFiles/qgis_core.dir/qgsgeometry.cpp.o
[ 4%] Building CXX object src/core/CMakeFiles/qgis_core.dir/qgshttptransaction.cpp.o
/tmp/buildd/qgis-1.4.0+12730/src/core/qgshttptransaction.cpp: In constructor 'QgsHttpTransaction::QgsHttpTransaction(QString, QString, int, QString, QString, QNetworkProxy::ProxyType, QString, QString)':
/tmp/buildd/qgis-1.4.0+12730/src/core/qgshttptransaction.cpp:50: error: call of overloaded 'QString(int)' is ambiguous
/usr/include/qt4/QtCore/qstring.h:428: note: candidates are: QString::QString(const QByteArray&)
/usr/include/qt4/QtCore/qstring.h:426: note: QString::QString(const char*)
/usr/include/qt4/QtCore/qstring.h:727: note: QString::QString(const QString&)
/usr/include/qt4/QtCore/qstring.h:106: note: QString::QString(QChar)
/usr/include/qt4/QtCore/qstring.h:105: note: QString::QString(const QChar*)
make[3]: *** [src/core/CMakeFiles/qgis_core.dir/qgshttptransaction.cpp.o] Error 1
make[3]: Leaving directory `/tmp/buildd/qgis-1.4.0+12730/debian/build'

Jürgen E. Fischer (jef-norbit) wrote :

Right. I overlooked httpresponsecontenttype(0). But removing the offending line is the right thing. The constructor automatically assigns QString::null.

mError( "" ) would assign an empty string, which is just almost the same. There's on check for .isNull() later in the case that would behave different with your proposed change. So either remove the lines, use QString::null instead of 0 or change the .isNull() check.

BTDT: https://trac.osgeo.org/qgis/changeset/13213, https://trac.osgeo.org/qgis/changeset/13215 and https://trac.osgeo.org/qgis/changeset/13299 .

Johan Van de Wauw (johanvdw) wrote :

After applying the attached debdiff, qgis compiles fine under maverick.
 * Fix compilation issues with QT 4.7
 * Add build-depends on libqt4-webkit-dev

Johan Van de Wauw (johanvdw) wrote :

jef,

the only reason why I would prefer mError("") is that that is the way the QT4.7 problem was solved upstream in svn.
This is the same for all other changes.

Stefano Rivera (stefanor) wrote :

Johan: The package uses dpatch, would you mind converting those changes to a dpatch patch?

Hi Johan,

On Sun, 11. Jul 2010 at 12:26:00 -0000, Johan Van de Wauw wrote:
> the only reason why I would prefer mError("") is that that is the way the
> QT4.7 problem was solved upstream in svn. This is the same for all other
> changes.

Right. I did the changes. But you also missed
https://trac.osgeo.org/qgis/changeset/13299.

Jürgen

--
Jürgen E. Fischer norBIT GmbH Tel. +49-4931-918175-20
Dipl.-Inf. (FH) Rheinstraße 13 Fax. +49-4931-918175-50
Software Engineer D-26506 Norden http://www.norbit.de

--
norBIT Gesellschaft fuer Unternehmensberatung und Informationssysteme mbH
Rheinstrasse 13, 26506 Norden
GF: Jelto Buurman, HR: Amtsgericht Emden, HRB 5502

Johan Van de Wauw (johanvdw) wrote :

It is the first time I use dpatch - so hope I did it correctly.

I included the patch of Jürgen (BTW: do I understand it correctly that this only applies when the other qt 4.7 changes are made. Otherwise this should also be fixed in debian).

Anyway, libqt4-webkit-dev should also be added to build-depends, dpatch doesn't record this change.

Stefano Rivera (stefanor) wrote :

Hi Johan (2010.07.11_15:54:18_+0200)
> I included the patch of Jürgen (BTW: do I understand it correctly that
> this only applies when the other qt 4.7 changes are made. Otherwise this
> should also be fixed in debian).

Yes, the package builds unmodified on Debian.

> Anyway, libqt4-webkit-dev should also be added to build-depends, dpatch
> doesn't record this change.

You can still produce a debdiff, just have the changes in the dpatch
patch rather than directly against the source.

It would be even better if you could annotate the patch header with
upstream bug numbers, so that we can easily tell when it isn't needed
any more. There's a standard for this: http://dep.debian.net/deps/dep3/

I can verify that with these changes, the package builds. Give me a good
debdiff and I'll upload it.

Johan Van de Wauw (johanvdw) wrote :

New debdiff, now using dpatch.

Stefano Rivera (stefanor) wrote :

Fantastic, only one minor change left, you forgot to close this bug in the changelog, I added a line doing so, and have uploaded. Now it's up to the Archive Admins to approve

Changed in qgis (Ubuntu):
assignee: Johan Van de Wauw (johanvdw) → nobody
status: In Progress → Fix Committed
tags: added: patch
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package qgis - 1.4.0+12730-3ubuntu1

---------------
qgis (1.4.0+12730-3ubuntu1) maverick; urgency=low

  * Merge from Debian unstable (LP: #540941).
  * Fix compilation issues with QT 4.7
  * Add build-depends on libqt4-webkit-dev
 -- Johan Van de Wauw <email address hidden> Sun, 11 Jul 2010 20:23:24 +0200

Changed in qgis (Ubuntu):
status: Fix Committed → Fix Released
hamish (hamish-b) wrote :

thanks to all, it'll be great to see qgis back & available in the mainstream.

Hamish

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Bug attachments

Remote bug watches

Bug watches keep track of this bug in other bug trackers.